<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util gsf">
	
	<!-- use the 'main' layout -->
	<xsl:import href="layouts/main.xsl"/>
	<xsl:import href="classifiertools.xsl"/>

	<!-- set page title -->
	<xsl:template name="pageTitle"><gslib:serviceName/></xsl:template>

	<!-- set page breadcrumbs -->
	<xsl:template name="breadcrumbs"><gslib:siteLink/><gslib:rightArrow/><gslib:collectionNameLinked/><gslib:rightArrow/></xsl:template>

	<!-- optional cgi-params for links to document pages -->
	<xsl:variable name="opt-doc-link-args"></xsl:variable>


	<xsl:template name="out-of-flow-viz">


<!--
	  <div style="position: absolute; left: 280px; top: 120px;">
-->
	  <div style="position: absolute; left: 530px; top: 120px; z-index: 2">

	    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js"><xsl:text> </xsl:text></script>
	    
	    <script type="text/javascript" src="https://www.google.com/jsapi"><xsl:text> </xsl:text></script>
	    <script type="text/javascript" id="sgvzlr_script" src="http://sgvizler.googlecode.com/svn/release/0.5/sgvizler.js"><xsl:text> </xsl:text></script>
	    
	    <script type="text/javascript">
	      <xsl:text disable-output-escaping="yes">
		sgvizler.option.namespace.mo ='http://purl.org/ontology/mo/';
		sgvizler.option.namespace.salami = 'http://nema.lis.illinois.edu/salamiEndpoint/';
		
		sgvizler.option.namespace.dc = 'http://purl.org/dc/elements/1.1/';
		sgvizler.option.namespace.gsembedded = 'http://greenstone.org/gsembedded#'
		sgvizler.option.namespace.greenstonedata = 'http://localhost:3030/greenstone/data/'
		$(document).ready(sgvizler.go());
	      </xsl:text>
	    </script>
	    
	    <div style="position: absolute; left: 0px; top: 0px;">
	      <div id="sgvzl-artist-related-tags"
		   data-sgvizler-endpoint="http://localhost:3030/greenstone/query"
		   
		   data-sgvizler-chartXX="gTreeMap"
		   data-sgvizler-chartYY="gPieChart"
		   data-sgvizler-chart="gBarChart"
		   data-sgvizler-loglevel="2"
		   data-sgvizler-chart-optionsYY="title=Songs by dc.Subject^artist-related-tag"
		   data-sgvizler-chart-options="title=Songs by dc.Subject^artist-related-tag|vAxis.title=Number of Songs"
		   style="position: relative; width:400px; height:760px;">
		<xsl:attribute name="data-sgvizler-query">
		  SELECT (?artistRelatedTag) (COUNT(?artistRelatedTag) AS ?freqCount)
		  WHERE {
		  GRAPH &lt;http://localhost:3030/greenstone/data/linkeddata-my-ipod&gt;  {
		    ?s &lt;http://purl.org/dc/elements/1.1/Subject.artistrelatedtag&gt; ?artistRelatedTag .
		    }
		  } 
		  GROUP BY ?artistRelatedTag
                  ORDER BY DESC(?freqCount) LIMIT 25
		  </xsl:attribute><xsl:comment>need filler to spot Greenstone's XSLT collapsing this div</xsl:comment>
	      </div>
	    </div>
	    
	  </div>
	 

	</xsl:template>


	<!-- the page content -->
	<xsl:template match="/page/pageResponse">


		<xsl:call-template name="classifierPre"/>
		
		<script type="text/javascript" src="interfaces/{$interface_name}/js/classifier_scripts.js"><xsl:text> </xsl:text></script>
		<script type="text/javascript">$(window).load(openStoredClassifiers);</script>
		
		<!-- this right sidebar -->
		<xsl:if test="$berryBasketOn or ($documentBasketOn and (util:contains(/page/pageRequest/userInformation/@groups, 'administrator') or util:contains(/page/pageRequest/userInformation/@groups, 'all-collections-editor') or util:contains(/page/pageRequest/userInformation/@groups, $thisCollectionEditor)))">

			<div id="rightSidebar">
				<xsl:if test="$berryBasketOn">
					<!-- show the berry basket if it's turned on -->
					<gslib:berryBasket/>
					<xsl:text> </xsl:text>
				</xsl:if>

				<xsl:if test="$documentBasketOn">
					<gslib:documentBasket/>
					<xsl:text> </xsl:text>
				</xsl:if>

			</div>
		</xsl:if>


		<!--
			show the clasifier results - 
			you can change the appearance of the results by editing
			the two templates at the bottom of this file
		-->
		<div id="results">

		  <xsl:if test="/page/pageRequest/paramList/param[@name='cl']/@value='CL5'">
		    <xsl:call-template name="out-of-flow-viz"/>
		  </xsl:if>

		  <div style="position: relative; z-index: 1">
			<xsl:variable name="collName"><xsl:value-of select="/page/pageRequest/paramList/param[@name='c']/@value"/></xsl:variable>
			<xsl:variable name="serviceName"><xsl:value-of select="service/@name"/></xsl:variable>

			<xsl:call-template name="classifierResultsPre"/>
			
			<xsl:apply-templates select="classifier">
				<xsl:with-param name="collName" select="$collName"/>
				<xsl:with-param name="serviceName" select="$serviceName"/>
			</xsl:apply-templates>
		  </div>

		</div>

		<div class="clear"><xsl:text> </xsl:text></div>
	</xsl:template>

</xsl:stylesheet>  